Ben
Burton
bab@debian.org
7. aprill 2003
fixincludes
1

# `fixincludes`

Vähendab #include'ide arvu &kde; lähtekoodifailides

    fixincludes -v, --verbose -e, --experimental -m, --modify fail --help

## Kirjeldus

`fixincludes` üritab vähendada #include'ide arvu C++-lähtekoodifailides. Suur osa töötlusest on spetsiifiline &kde; lähtekoodile ega pruugi seetõttu anda häid tulemusi &kde;-väliste rakenduste lähtekoodi puhul.

`fixincludes`'i puhul on teada järgmised probleemid:

- Päiste kaasamine, mida enam ei toetata, aga mis on olemas ühilduvuse huvides vanemate Qt/KDE versioonidega;

- Sama faili kaasamine mitu korda.

Olemas on ka eksperimentaalne režiim, mille korral üritatakse eemaldada üks #include teise järel (väga väheste eranditega) ning selgitada, kas lähtekoodi on siiski võimalik kompileerida. Pane tähele, et eksperimentaalse režiimi korral muudetakse lähtekoodi.

Vaikimisi lähtekoodi ei muudeta, vaid tuvastatud probleemid kirjutatakse lihtsalt standardväljundisse.

Uuritavate C++-lähtekoodifailide nimekiri tuleb anda käsureal. Kui faile ei määrata, uuritakse läbi kõik C++-lähtekoodifailid antud kataloogis ja selle alamkataloogides (välja arvatud kataloogid, mille `Makefile.am` sisaldab võtit `-UQT_NO_COMPAT` või `-UKDE_NO_COMPAT`)

See utiliit kuulub KDE tarkvaraarenduse komplekti koosseisu.

## Võtmed

`-v, --verbose`

  Selgitav režiim. Standardväljundisse kirjutatakse rohkem silumisväljundit.

`-e, --experimental`

  Eksperimentaalne režiim, mida kirjeldati põhjalikumalt eespool. Pane tähele, et see võti eeldab võtit `--modify`.

`-m, --modify`

  Lisaks teadete kirjutamisele standardväljundisse muudab ka reaalselt algset lähtekoodi leitud probleemide parandamiseks.

## Autorid

`fixincludes`'i kirjutas Dirk Mueller mueller@kde.org.